/*
 * Rodeo Product Search
 * Usage:
 * respond.productSearch.setup();
 */
respond.productSearch = (function () {
    'use strict';

    return {
        version: '0.0.1',
        setup: function () {
            var search, x;
            // GET
            search = document.querySelectorAll('[type=productSearch]');

            // SUBMIT
            for (x = 0; x < search.length; x++) {
                respond.productSearch.setupRodeo(search[x]);
            }
        },
        /**
         * Setup function
         *
         */
        setupRodeo: function (el) {
            $.getScript("js/productSearchSetup.js", function () {
                rodeo.setupProductSearch(el);
            });
        },
        onSearchClick: function (search_data, apiURL, div_id) {
            var productDetail_api_url = (apiURL + "/api/v1/filter_products");
            $.ajax({
                type: "POST",
                crossDomain: true,
                url: productDetail_api_url,
                data: {'search_data': search_data},
                success: function (response) {
                    if(div_id[0] != "#"){
                        div_id = "#" + div_id;
                    }
                    $(div_id).html('');
                    $(div_id).html(response.html);
		    $(div_id).removeClass('hide');
                },
                error: function (error) {
                    alert(error);
                }
            });
            return false;
        }

    }

})();

respond.productSearch.setup();
